# Getting Started Lab
Welcome to your first lab! This will be more of a walkthrough, but there
will still be learning opportunities. In fact, you will notice that the 
text doesn't give you solutions for the "expanding on the skill" section.
That's because sometimes to learn, you have to go look shit up ;). 

# Pre-reqs
You need the username of the user who invited you to the pubnix!

# Objectives

By the end of this lab you will:
* Have a notes directory in your home directory
* Have a notes file that you can use to take notes
* Have an email template that you can use to send messages
using the `mail` command. 

# Scenario
Here's the scenario! 

You've recently stumbled upon smolnet philosophy and found out some of 
your friends have a really awesome pubnix! You get an account and now 
you need to know how it works! 

Sound familiar?

# Steps

1. Creating a new directory
When you login to the server, you will be dropped into your home directory. 
This is where you will be creating your `notes` directory. Your `notes` 
directory will be a convenient place to put notes for all the cool things
you are learning about! 

* Run the `cd` command with no arguments. This will send you to your
home directory. 
* Run the command `mkdir notes`. 
 * The `mkdir` command will make a directory, and here we pass the argument
   "notes" to the command to make the directory name "notes" 
* After you create the directory move into that directory. 
 * I'm not giving you this command anymore :). 

2. Create your first note file
After you get into your notes directory, you should make your first note. 
In this note, you should put your username, the date, and who you WANT to 
be. This will help you think about some introspective shit while you're 
tinkering around. 

* From the `notes` directory run `pico Aspirations`
* In the resulting `pico` window, write out the above. 
* Use `CTRL+o` to save the file
 * You will need to confirm the file name by pressing `enter`
* Use `CTRL+x` to close `pico`

3. Write a message and send a `mail`
Now that you have some skill in text editing, piping, and the basics of 
using the command line, let's get into talking to other users on the 
system! 

* Open the `pico` editor with a file named "email.tmpl"
 * ".tmpl" is a good extension for templates. 
* In the file put
```
Subject: 
Recipient: 
Message: 


---
~(your username)
(your signature)
```
and close `pico`
* Now, use the `cp` command to copy the file to a new file called 
  `message.eml`
 * The `cp` command takes two arguments, in order, the file to be copied
   and the file name to copy it to. 
 * For instance `cp email.tmpl message.eml`
* Edit the `message.eml` file with the appropriate changes.
 * Write a nice message to the user who invited you to the pubnix. 
* Send the message to the appropriate username with the `mail` command with
  `cat message.eml | mail -s "Hello!" <username>`
 * Be sure to replace <username> with the user's name. 

# Expanding on the skill
Now that you have some more tools in your toolbox here are some things to try:
* Using your resources learn about the `vi` and `more` commands
* Learn a little bit about the Linux Filesystem Hierarchy standard
* Take a look at some of the other switches these commands can use
 * Common switches for more information about an application are
   `-h`, `--help`
* Try using the `links` browser to google for linux distributions
 * The internet can be hard to use from a CLI, but try and push through that. 
 * Wikipedia is kind of bearable
 * Hint: links can take a URL as an argument
