# Linux 101 Objectives
## Getting Started

### Purpose
This lesson will provide you with a short introduction to Linux and
how to navigate the Command Line Interface (CLI). 

### Goals
The primary goal of this lesson is to give you a little idea
about Linux, and get you started on navigating the operating
system. 

### Objectives

The Learner will be able to:

1. Navigate the linux file system
2. Discuss the linux ecosystem
3. Explain a few basic linux commands


### Lab summary
In the lab you will create a markdown document (like this one)
with basic formatting using a command line text editor. 

### Learning Checkpoint Guidance
At the end of this lesson try to do the following: 

1. Navigate to a non-adjacent directory and back to your home directory. 
2. List the contents of a directory you are not in
3. Cat a file in a directory you are not in
4. Ask yourself the following questions: 
 * How would I learn about a new command? 
 * What commands would I use to create a new file in a new directory?
5. Try to learn about a new command using only the resources provided
| in this lesson. 

(CC0) Starbase17.space
